    PROGRAM g01kafe

!      G01KAF Example Program Text

!      Mark 23 Release. NAG Copyright 2011.

!      .. Use Statements ..
       USE nag_library, ONLY : g01kaf, nag_wp
!      .. Implicit None Statement ..
       IMPLICIT NONE
!      .. Parameters ..
       INTEGER, PARAMETER              :: nin = 5, nout = 6
!      .. Local Scalars ..
       REAL (KIND=nag_wp)              :: f, x, xmean, xstd
       INTEGER                         :: ifail
!      .. Executable Statements ..
       WRITE (nout,*) 'G01KAF Example Program Results'
       WRITE (nout,*)

!      Skip heading in data file
       READ (nin,*)

!      Display titles
       WRITE (nout,*) '   X             MEAN          STANDARD      RESULT '
       WRITE (nout,*) '                               DEVIATION'
       WRITE (nout,*)

D_LP:  DO
          READ (nin,*,IOSTAT=ifail) x, xmean, xstd
          IF (ifail/=0) THEN
             EXIT D_LP
          END IF

          ifail = 0
          f = g01kaf(x,xmean,xstd,ifail)

!         Display results
          WRITE (nout,99999) x, xmean, xstd, f
       END DO D_LP

99999  FORMAT (1X,1P,4(1X,E13.5))
    END PROGRAM g01kafe
